﻿#include <iostream>
#include "CheckerBoard.h"
#include "CheckersAI.h"
#include <io.h>
#include <fcntl.h>

int main()
{
    _setmode(_fileno(stdout), _O_U16TEXT);
    _setmode(_fileno(stdin), _O_U16TEXT);
    _setmode(_fileno(stderr), _O_U16TEXT);

    CheckerBoard board = CheckerBoard::loadFromFile("board.checkers");

    board.print();

    wcout << "\n\n-----------\n\n";

    CheckersAI whiteAI(true);
    CheckersAI blackAI(false);

    bool whiteTurn = true;
    while (!board.isGameOver()) {
        wcout << L"\n\n";

        if (whiteTurn) {
            CheckerBoard bestMove = whiteAI.findBestMove(board, 5);
            board.applyMove(bestMove);
        }
        else {
            CheckerBoard bestMove = blackAI.findBestMove(board, 5);
            board.applyMove(bestMove);
        }
        whiteTurn = !whiteTurn;
        board.print();
    }

    wcout << L"Game over!\n";
}